List people
curl --request GET \
--url https://api-v1.maverickintelligence.co/v1/people \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v1.maverickintelligence.co/v1/people"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v1.maverickintelligence.co/v1/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"email": "<string>",
"businessEmail": "<string>",
"personalEmail": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"title": "<string>",
"company": "<string>",
"location": "<string>",
"linkedinUrl": "<string>",
"phone": "<string>",
"profileImageUrl": "<string>",
"visitCount": 123,
"firstSeen": "2023-11-07T05:31:56Z",
"lastSeen": "2023-11-07T05:31:56Z",
"isHotLead": true,
"classifiedSeniority": "<string>",
"classifiedJobFunction": "<string>",
"trafficType": "<string>",
"adPlatform": "<string>",
"companyData": {
"companyId": "<string>",
"name": "<string>",
"domain": "<string>",
"standardizedIndustry": "<string>",
"location": "<string>",
"employeeCount": 123
}
}
],
"pagination": {
"limit": 123,
"count": 123,
"nextCursor": "<string>"
}
}{
"error": {
"message": "<string>",
"status": 123
}
}{
"error": {
"message": "<string>",
"status": 123
}
}API Reference
List People
Returns a paginated list of identified website visitors
GET
/
v1
/
people
List people
Authorizations
API key in format: mk_live_{40 hex chars}
Query Parameters
Number of records per page
Required range:
1 <= x <= 100Pagination cursor from the previous response's nextCursor
Only return records with lastSeen after this ISO 8601 date
Filter to only ICP-matched hot leads
⌘I